Bug 95496 - [PATCH] audio/xmms2: mark slave ports BROKEN; general cleanup
Summary: [PATCH] audio/xmms2: mark slave ports BROKEN; general cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-07 23:50 UTC by Alexander Botero-Lowry
Modified: 2006-04-09 12:05 UTC (History)
1 user (show)

See Also:


Attachments
xmms2-0.2.d.4_3.patch (784 bytes, patch)
2006-04-07 23:50 UTC, Alexander Botero-Lowry
no flags Details | Diff
java-diff.patch (624 bytes, patch)
2006-04-08 21:29 UTC, Alexander Botero-Lowry
no flags Details | Diff
xmms2-0.2.d.4_3.patch (7.61 KB, patch)
2006-04-08 21:29 UTC, Alexander Botero-Lowry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Botero-Lowry 2006-04-07 23:50:11 UTC
- Do not declare DATADIR; xmms2 port uses default anyway
- All the bindings are broken on 4.x, so mark all slave ports broken

Port maintainer (alex@foxybanana.com) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Alexander Botero-Lowry 2006-04-08 21:29:34 UTC
Attached are two patches, they should go instead of the patch included in the inital PR.

The first patch goes against audio/java-xmms2 and makes it use INSTALL_DATA for the jar file

the second patch goes against audio/xmms2 and includes the patches needed to make the java bindings compiler on 4.x


FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/95496'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=95496
>
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [PATCH] audio/xmms2: mark slave ports BROKEN; general cleanup
> >Arrival-Date:   Fri Apr 07 22:50:11 GMT 2006
>
> !DSPAM:4,4436ecac220991682211466!
>
Comment 2 Edwin Groothuis freebsd_committer 2006-04-09 12:05:22 UTC
State Changed
From-To: open->closed

Committed, thanks!